package com.chenyang.nse.bussiness.engine.ghca.webservice;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "engineParameter",
   propOrder = {"dataProcessType", "groupId", "taskId", "workflowName"}
)
public class EngineParameter {
   protected String dataProcessType;
   protected long groupId;
   protected String taskId;
   protected String workflowName;

   public String getDataProcessType() {
      return this.dataProcessType;
   }

   public void setDataProcessType(String value) {
      this.dataProcessType = value;
   }

   public long getGroupId() {
      return this.groupId;
   }

   public void setGroupId(long value) {
      this.groupId = value;
   }

   public String getTaskId() {
      return this.taskId;
   }

   public void setTaskId(String value) {
      this.taskId = value;
   }

   public String getWorkflowName() {
      return this.workflowName;
   }

   public void setWorkflowName(String value) {
      this.workflowName = value;
   }
}
